/* npx tailwindcss -c tailwind.config.js -i public/demo-form.scss -o public/demo-form.css --postcss */

.tippy-box[data-animation=fade][data-state=hidden]{
  opacity:0
}

[data-tippy-root]{
  max-width:calc(100vw - 10px)
}

.tippy-box{
  position:relative;
  background-color:#333;
  color:#fff;
  border-radius:4px;
  font-size:14px;
  line-height:1.4;
  white-space:normal;
  outline:0;
  transition-property:transform,visibility,opacity
}

.tippy-box[data-placement^=top]>.tippy-arrow{
  bottom:0
}

.tippy-box[data-placement^=top]>.tippy-arrow:before{
  bottom:-7px;
  left:0;
  border-width:8px 8px 0;
  border-top-color:initial;
  transform-origin:center top
}

.tippy-box[data-placement^=bottom]>.tippy-arrow{
  top:0
}

.tippy-box[data-placement^=bottom]>.tippy-arrow:before{
  top:-7px;
  left:0;
  border-width:0 8px 8px;
  border-bottom-color:initial;
  transform-origin:center bottom
}

.tippy-box[data-placement^=left]>.tippy-arrow{
  right:0
}

.tippy-box[data-placement^=left]>.tippy-arrow:before{
  border-width:8px 0 8px 8px;
  border-left-color:initial;
  right:-7px;
  transform-origin:center left
}

.tippy-box[data-placement^=right]>.tippy-arrow{
  left:0
}

.tippy-box[data-placement^=right]>.tippy-arrow:before{
  left:-7px;
  border-width:8px 8px 8px 0;
  border-right-color:initial;
  transform-origin:center right
}

.tippy-box[data-inertia][data-state=visible]{
  transition-timing-function:cubic-bezier(.54,1.5,.38,1.11)
}

.tippy-arrow{
  width:16px;
  height:16px;
  color:#333
}

.tippy-arrow:before{
  content:"";
  position:absolute;
  border-color:transparent;
  border-style:solid
}

.tippy-content{
  position:relative;
  padding:5px 9px;
  z-index:1
}

/* ! tailwindcss v3.3.0 | MIT License | https://tailwindcss.com */

/*
1. Prevent padding and border from affecting element width. (https://github.com/mozdevs/cssremedy/issues/4)
2. Allow adding a border to an element by just adding a border-width. (https://github.com/tailwindcss/tailwindcss/pull/116)
*/

*,
::before,
::after {
  box-sizing: border-box;
  /* 1 */
  border-width: 0;
  /* 2 */
  border-style: solid;
  /* 2 */
  border-color: #e5e7eb;
  /* 2 */
}

::before,
::after {
  --tw-content: '';
}

/*
1. Use a consistent sensible line-height in all browsers.
2. Prevent adjustments of font size after orientation changes in iOS.
3. Use a more readable tab size.
4. Use the user's configured `sans` font-family by default.
5. Use the user's configured `sans` font-feature-settings by default.
6. Use the user's configured `sans` font-variation-settings by default.
*/

html {
  line-height: 1.5;
  /* 1 */
  -webkit-text-size-adjust: 100%;
  /* 2 */
  -moz-tab-size: 4;
  /* 3 */
  -o-tab-size: 4;
     tab-size: 4;
  /* 3 */
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  /* 4 */
  font-feature-settings: normal;
  /* 5 */
  font-variation-settings: normal;
  /* 6 */
}

/*
1. Remove the margin in all browsers.
2. Inherit line-height from `html` so users can set them as a class directly on the `html` element.
*/

body {
  margin: 0;
  /* 1 */
  line-height: inherit;
  /* 2 */
}

/*
1. Add the correct height in Firefox.
2. Correct the inheritance of border color in Firefox. (https://bugzilla.mozilla.org/show_bug.cgi?id=190655)
3. Ensure horizontal rules are visible by default.
*/

hr {
  height: 0;
  /* 1 */
  color: inherit;
  /* 2 */
  border-top-width: 1px;
  /* 3 */
}

/*
Add the correct text decoration in Chrome, Edge, and Safari.
*/

abbr:where([title]) {
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

/*
Remove the default font size and weight for headings.
*/

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

/*
Reset links to optimize for opt-in styling instead of opt-out.
*/

a {
  color: inherit;
  text-decoration: inherit;
}

/*
Add the correct font weight in Edge and Safari.
*/

b,
strong {
  font-weight: bolder;
}

/*
1. Use the user's configured `mono` font family by default.
2. Correct the odd `em` font sizing in all browsers.
*/

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  /* 1 */
  font-size: 1em;
  /* 2 */
}

/*
Add the correct font size in all browsers.
*/

small {
  font-size: 80%;
}

/*
Prevent `sub` and `sup` elements from affecting the line height in all browsers.
*/

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/*
1. Remove text indentation from table contents in Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=999088, https://bugs.webkit.org/show_bug.cgi?id=201297)
2. Correct table border color inheritance in all Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=935729, https://bugs.webkit.org/show_bug.cgi?id=195016)
3. Remove gaps between table borders by default.
*/

table {
  text-indent: 0;
  /* 1 */
  border-color: inherit;
  /* 2 */
  border-collapse: collapse;
  /* 3 */
}

/*
1. Change the font styles in all browsers.
2. Remove the margin in Firefox and Safari.
3. Remove default padding in all browsers.
*/

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  /* 1 */
  font-size: 100%;
  /* 1 */
  font-weight: inherit;
  /* 1 */
  line-height: inherit;
  /* 1 */
  color: inherit;
  /* 1 */
  margin: 0;
  /* 2 */
  padding: 0;
  /* 3 */
}

/*
Remove the inheritance of text transform in Edge and Firefox.
*/

button,
select {
  text-transform: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Remove default button styles.
*/

button,
[type='button'],
[type='reset'],
[type='submit'] {
  -webkit-appearance: button;
  /* 1 */
  background-color: transparent;
  /* 2 */
  background-image: none;
  /* 2 */
}

/*
Use the modern Firefox focus style for all focusable elements.
*/

:-moz-focusring {
  outline: auto;
}

/*
Remove the additional `:invalid` styles in Firefox. (https://github.com/mozilla/gecko-dev/blob/2f9eacd9d3d995c937b4251a5557d95d494c9be1/layout/style/res/forms.css#L728-L737)
*/

:-moz-ui-invalid {
  box-shadow: none;
}

/*
Add the correct vertical alignment in Chrome and Firefox.
*/

progress {
  vertical-align: baseline;
}

/*
Correct the cursor style of increment and decrement buttons in Safari.
*/

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

/*
1. Correct the odd appearance in Chrome and Safari.
2. Correct the outline style in Safari.
*/

[type='search'] {
  -webkit-appearance: textfield;
  /* 1 */
  outline-offset: -2px;
  /* 2 */
}

/*
Remove the inner padding in Chrome and Safari on macOS.
*/

::-webkit-search-decoration {
  -webkit-appearance: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Change font properties to `inherit` in Safari.
*/

::-webkit-file-upload-button {
  -webkit-appearance: button;
  /* 1 */
  font: inherit;
  /* 2 */
}

/*
Add the correct display in Chrome and Safari.
*/

summary {
  display: list-item;
}

/*
Removes the default spacing and border for appropriate elements.
*/

blockquote,
dl,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
figure,
p,
pre {
  margin: 0;
}

fieldset {
  margin: 0;
  padding: 0;
}

legend {
  padding: 0;
}

ol,
ul,
menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

/*
Prevent resizing textareas horizontally by default.
*/

textarea {
  resize: vertical;
}

/*
1. Reset the default placeholder opacity in Firefox. (https://github.com/tailwindlabs/tailwindcss/issues/3300)
2. Set the default placeholder color to the user's configured gray 400 color.
*/

input::-moz-placeholder, textarea::-moz-placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

input::placeholder,
textarea::placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

/*
Set the default cursor for buttons.
*/

button,
[role="button"] {
  cursor: pointer;
}

/*
Make sure disabled buttons don't get the pointer cursor.
*/

:disabled {
  cursor: default;
}

/*
1. Make replaced elements `display: block` by default. (https://github.com/mozdevs/cssremedy/issues/14)
2. Add `vertical-align: middle` to align replaced elements more sensibly by default. (https://github.com/jensimmons/cssremedy/issues/14#issuecomment-634934210)
   This can trigger a poorly considered lint error in some tools but is included by design.
*/

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
  /* 1 */
  vertical-align: middle;
  /* 2 */
}

/*
Constrain images and videos to the parent width and preserve their intrinsic aspect ratio. (https://github.com/mozdevs/cssremedy/issues/14)
*/

img,
video {
  max-width: 100%;
  height: auto;
}

/* Make elements with the HTML hidden attribute stay hidden by default */

[hidden] {
  display: none;
}

[type='text'],[type='email'],[type='url'],[type='password'],[type='number'],[type='date'],[type='datetime-local'],[type='month'],[type='search'],[type='tel'],[type='time'],[type='week'],[multiple],textarea,select{
  -webkit-appearance:none;
     -moz-appearance:none;
          appearance:none;
  background-color:#fff;
  border-color:#6b7280;
  border-width:1px;
  border-radius:0px;
  padding-top:0.5rem;
  padding-right:0.75rem;
  padding-bottom:0.5rem;
  padding-left:0.75rem;
  font-size:1rem;
  line-height:1.5rem;
  --tw-shadow:0 0 #0000;
}

[type='text']:focus, [type='email']:focus, [type='url']:focus, [type='password']:focus, [type='number']:focus, [type='date']:focus, [type='datetime-local']:focus, [type='month']:focus, [type='search']:focus, [type='tel']:focus, [type='time']:focus, [type='week']:focus, [multiple]:focus, textarea:focus, select:focus{
  outline:2px solid transparent;
  outline-offset:2px;
  --tw-ring-inset:var(--tw-empty,/*!*/ /*!*/);
  --tw-ring-offset-width:0px;
  --tw-ring-offset-color:#fff;
  --tw-ring-color:#2563eb;
  --tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow);
  border-color:#2563eb
}

input::-moz-placeholder, textarea::-moz-placeholder{
  color:#6b7280;
  opacity:1
}

input::placeholder,textarea::placeholder{
  color:#6b7280;
  opacity:1
}

::-webkit-datetime-edit-fields-wrapper{
  padding:0
}

::-webkit-date-and-time-value{
  min-height:1.5em
}

::-webkit-datetime-edit,::-webkit-datetime-edit-year-field,::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field,::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field,::-webkit-datetime-edit-millisecond-field,::-webkit-datetime-edit-meridiem-field{
  padding-top:0;
  padding-bottom:0
}

select{
  background-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 20 20'%3e%3cpath stroke='%236b7280' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='M6 8l4 4 4-4'/%3e%3c/svg%3e");
  background-position:right 0.5rem center;
  background-repeat:no-repeat;
  background-size:1.5em 1.5em;
  padding-right:2.5rem;
  -webkit-print-color-adjust:exact;
          print-color-adjust:exact
}

[multiple]{
  background-image:initial;
  background-position:initial;
  background-repeat:unset;
  background-size:initial;
  padding-right:0.75rem;
  -webkit-print-color-adjust:unset;
          print-color-adjust:unset
}

[type='checkbox'],[type='radio']{
  -webkit-appearance:none;
     -moz-appearance:none;
          appearance:none;
  padding:0;
  -webkit-print-color-adjust:exact;
          print-color-adjust:exact;
  display:inline-block;
  vertical-align:middle;
  background-origin:border-box;
  -webkit-user-select:none;
     -moz-user-select:none;
          user-select:none;
  flex-shrink:0;
  height:1rem;
  width:1rem;
  color:#2563eb;
  background-color:#fff;
  border-color:#6b7280;
  border-width:1px;
  --tw-shadow:0 0 #0000
}

[type='checkbox']{
  border-radius:0px
}

[type='radio']{
  border-radius:100%
}

[type='checkbox']:focus,[type='radio']:focus{
  outline:2px solid transparent;
  outline-offset:2px;
  --tw-ring-inset:var(--tw-empty,/*!*/ /*!*/);
  --tw-ring-offset-width:2px;
  --tw-ring-offset-color:#fff;
  --tw-ring-color:#2563eb;
  --tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)
}

[type='checkbox']:checked,[type='radio']:checked{
  border-color:transparent;
  background-color:currentColor;
  background-size:100% 100%;
  background-position:center;
  background-repeat:no-repeat
}

[type='checkbox']:checked{
  background-image:url("data:image/svg+xml,%3csvg viewBox='0 0 16 16' fill='white' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z'/%3e%3c/svg%3e")
}

[type='radio']:checked{
  background-image:url("data:image/svg+xml,%3csvg viewBox='0 0 16 16' fill='white' xmlns='http://www.w3.org/2000/svg'%3e%3ccircle cx='8' cy='8' r='3'/%3e%3c/svg%3e")
}

[type='checkbox']:checked:hover,[type='checkbox']:checked:focus,[type='radio']:checked:hover,[type='radio']:checked:focus{
  border-color:transparent;
  background-color:currentColor
}

[type='checkbox']:indeterminate{
  background-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 16 16'%3e%3cpath stroke='white' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M4 8h8'/%3e%3c/svg%3e");
  border-color:transparent;
  background-color:currentColor;
  background-size:100% 100%;
  background-position:center;
  background-repeat:no-repeat
}

[type='checkbox']:indeterminate:hover,[type='checkbox']:indeterminate:focus{
  border-color:transparent;
  background-color:currentColor
}

[type='file']{
  background:unset;
  border-color:inherit;
  border-width:0;
  border-radius:0;
  padding:0;
  font-size:unset;
  line-height:inherit
}

[type='file']:focus{
  outline:1px solid ButtonText;
  outline:1px auto -webkit-focus-ring-color
}

*, ::before, ::after{
  --tw-border-spacing-x:0;
  --tw-border-spacing-y:0;
  --tw-translate-x:0;
  --tw-translate-y:0;
  --tw-rotate:0;
  --tw-skew-x:0;
  --tw-skew-y:0;
  --tw-scale-x:1;
  --tw-scale-y:1;
  --tw-pan-x: ;
  --tw-pan-y: ;
  --tw-pinch-zoom: ;
  --tw-scroll-snap-strictness:proximity;
  --tw-ordinal: ;
  --tw-slashed-zero: ;
  --tw-numeric-figure: ;
  --tw-numeric-spacing: ;
  --tw-numeric-fraction: ;
  --tw-ring-inset: ;
  --tw-ring-offset-width:0px;
  --tw-ring-offset-color:#fff;
  --tw-ring-color:rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow:0 0 #0000;
  --tw-ring-shadow:0 0 #0000;
  --tw-shadow:0 0 #0000;
  --tw-shadow-colored:0 0 #0000;
  --tw-blur: ;
  --tw-brightness: ;
  --tw-contrast: ;
  --tw-grayscale: ;
  --tw-hue-rotate: ;
  --tw-invert: ;
  --tw-saturate: ;
  --tw-sepia: ;
  --tw-drop-shadow: ;
  --tw-backdrop-blur: ;
  --tw-backdrop-brightness: ;
  --tw-backdrop-contrast: ;
  --tw-backdrop-grayscale: ;
  --tw-backdrop-hue-rotate: ;
  --tw-backdrop-invert: ;
  --tw-backdrop-opacity: ;
  --tw-backdrop-saturate: ;
  --tw-backdrop-sepia: 
}

::backdrop{
  --tw-border-spacing-x:0;
  --tw-border-spacing-y:0;
  --tw-translate-x:0;
  --tw-translate-y:0;
  --tw-rotate:0;
  --tw-skew-x:0;
  --tw-skew-y:0;
  --tw-scale-x:1;
  --tw-scale-y:1;
  --tw-pan-x: ;
  --tw-pan-y: ;
  --tw-pinch-zoom: ;
  --tw-scroll-snap-strictness:proximity;
  --tw-ordinal: ;
  --tw-slashed-zero: ;
  --tw-numeric-figure: ;
  --tw-numeric-spacing: ;
  --tw-numeric-fraction: ;
  --tw-ring-inset: ;
  --tw-ring-offset-width:0px;
  --tw-ring-offset-color:#fff;
  --tw-ring-color:rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow:0 0 #0000;
  --tw-ring-shadow:0 0 #0000;
  --tw-shadow:0 0 #0000;
  --tw-shadow-colored:0 0 #0000;
  --tw-blur: ;
  --tw-brightness: ;
  --tw-contrast: ;
  --tw-grayscale: ;
  --tw-hue-rotate: ;
  --tw-invert: ;
  --tw-saturate: ;
  --tw-sepia: ;
  --tw-drop-shadow: ;
  --tw-backdrop-blur: ;
  --tw-backdrop-brightness: ;
  --tw-backdrop-contrast: ;
  --tw-backdrop-grayscale: ;
  --tw-backdrop-hue-rotate: ;
  --tw-backdrop-invert: ;
  --tw-backdrop-opacity: ;
  --tw-backdrop-saturate: ;
  --tw-backdrop-sepia: 
}

body{
  --tw-bg-opacity:1;
  background-color:rgb(255 255 255 / var(--tw-bg-opacity));
  font-family:ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"
}

.container{
  padding:2.5rem
}

.alert{
  margin-bottom:2rem;
  display:flex;
  border-bottom-right-radius:0.25rem;
  border-bottom-left-radius:0.25rem;
  border-top-width:4px;
  --tw-border-opacity:1;
  border-color:rgb(20 184 166 / var(--tw-border-opacity));
  --tw-bg-opacity:1;
  background-color:rgb(204 251 241 / var(--tw-bg-opacity));
  padding-left:1rem;
  padding-right:1rem;
  padding-top:0.75rem;
  padding-bottom:0.75rem;
  --tw-text-opacity:1;
  color:rgb(19 78 74 / var(--tw-text-opacity));
  --tw-shadow:0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
  --tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color), 0 2px 4px -2px var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.alert-icon{
  margin-right:1rem;
  height:1.5rem;
  width:1.5rem;
  fill:currentColor;
  --tw-text-opacity:1;
  color:rgb(20 184 166 / var(--tw-text-opacity))
}

.alert-icon-wrapper{
  padding-top:0.25rem;
  padding-bottom:0.25rem
}

a{
  text-decoration-line:underline
}

.form{
  display:grid;
  grid-template-columns:repeat(1, minmax(0, 1fr));
  gap:1.5rem
}

@media (min-width: 768px){
  .form{
    grid-template-columns:repeat(2, minmax(0, 1fr))
  }
}

.column{
  grid-column:span 1 / span 1
}

.form-grid{
  display:grid;
  grid-template-columns:repeat(1, minmax(0, 1fr));
  gap:1.5rem
}

.input{
  margin-top:0.25rem;
  display:block;
  width:100%;
  border-radius:0.375rem;
  --tw-border-opacity:1;
  border-color:rgb(209 213 219 / var(--tw-border-opacity));
  --tw-shadow:0 1px 2px 0 rgb(0 0 0 / 0.05);
  --tw-shadow-colored:0 1px 2px 0 var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.input:focus{
  --tw-border-opacity:1;
  border-color:rgb(165 180 252 / var(--tw-border-opacity));
  --tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
  --tw-ring-color:rgb(199 210 254 / var(--tw-ring-opacity));
  --tw-ring-opacity:0.5
}

.select{
  margin-top:0.25rem;
  display:block;
  width:100%;
  border-radius:0.375rem;
  --tw-border-opacity:1;
  border-color:rgb(209 213 219 / var(--tw-border-opacity));
  --tw-shadow:0 1px 2px 0 rgb(0 0 0 / 0.05);
  --tw-shadow-colored:0 1px 2px 0 var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.select:focus{
  --tw-border-opacity:1;
  border-color:rgb(165 180 252 / var(--tw-border-opacity));
  --tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
  --tw-ring-color:rgb(199 210 254 / var(--tw-ring-opacity));
  --tw-ring-opacity:0.5
}

.label{
  display:block
}

.label span{
  --tw-text-opacity:1;
  color:rgb(55 65 81 / var(--tw-text-opacity))
}

.checkbox-label{
  margin-top:0.5rem;
  display:inline-flex;
  align-items:center
}

.checkbox{
  margin-right:0.5rem;
  border-radius:0.25rem;
  --tw-border-opacity:1;
  border-color:rgb(209 213 219 / var(--tw-border-opacity));
  --tw-text-opacity:1;
  color:rgb(79 70 229 / var(--tw-text-opacity));
  --tw-shadow:0 1px 2px 0 rgb(0 0 0 / 0.05);
  --tw-shadow-colored:0 1px 2px 0 var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.checkbox:focus{
  --tw-border-opacity:1;
  border-color:rgb(165 180 252 / var(--tw-border-opacity));
  --tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
  --tw-ring-color:rgb(199 210 254 / var(--tw-ring-opacity));
  --tw-ring-opacity:0.5;
  --tw-ring-offset-width:0px
}

.h5{
  margin-bottom:0.5rem;
  font-weight:700
}

.table{
  width:100%;
  text-align:left;
  font-size:0.875rem;
  line-height:1.5715;
  --tw-text-opacity:1;
  color:rgb(107 114 128 / var(--tw-text-opacity))
}

.thead{
  --tw-bg-opacity:1;
  background-color:rgb(249 250 251 / var(--tw-bg-opacity));
  font-size:0.75rem;
  line-height:1.5;
  text-transform:uppercase;
  --tw-text-opacity:1;
  color:rgb(55 65 81 / var(--tw-text-opacity))
}

.th{
  padding-left:1.5rem;
  padding-right:1.5rem;
  padding-top:0.75rem;
  padding-bottom:0.75rem
}

.tr{
  border-bottom-width:1px;
  --tw-bg-opacity:1;
  background-color:rgb(255 255 255 / var(--tw-bg-opacity))
}

.td{
  padding-left:1.5rem;
  padding-right:1.5rem;
  padding-top:1rem;
  padding-bottom:1rem
}

.sorted button{
  text-decoration-line:underline
}

.down, .up{
  display:none;
  height:1rem;
  width:1rem
}

.sorted:not(.asc) .down{
  display:inline-block
}

.sorted.asc .up{
  display:inline-block
}